explain_endgrent_or_die(3)

NAME
explain_endgrent_or_die - finish group file accesses and report errors
    "finish group file accesses and report errors"

SYNOPSIS
#include <libexplain/endgrent.h>

void explain_endgrent_or_die(void);
void explain_endgrent_on_error(void);

DESCRIPTION
The explain_endgrent_or_die function is used to call the endgrent(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_endgrent(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_endgrent_on_error function is used to call the endgrent(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_endgrent(3) function, but still returns to the caller.

RETURN VALUE
The explain_endgrent_or_die function only returns on success, see endgrent(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_endgrent_on_error function always returns the value return by the wrapped endgrent(3) system call.

EXAMPLE
The explain_endgrent_or_die function is intended to be used in a fashion similar to the following example:
    explain_endgrent_or_die();

SEE ALSO

endgrent(3)
    finish group file accesses

explain_endgrent(3)
    explain endgrent(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2013 Peter Miller